import { model, Schema } from "mongoose";

export interface PostingType {
  title: string;
  text?: string;
  theme: string;
  city: string;
  username?: string;
}

const postingSchema = new Schema<PostingType>({
  title: {
    type: String,
    required: true,
  },
  text: {
    type: String,
    required: true,
  },
  theme: {
    type: String,
  },
  city: {
    type: String,
  },
  username: {
    type: String,
  },
});

export default model<PostingType>("Posting", postingSchema);
